using PARR.Domain.Entities.Base.History;

namespace PARR.TemplateMatcher
{
    public interface ITemplateMatcher
    {
        Task SyncTemplatesForJob(Guid jobId, HistoryInitiator initiator);
        Task UpdateTemplatesForJob(Guid jobId, HistoryInitiator initiator);
        Task SyncTemplatesForJobGroup(Guid jobGroupId, HistoryInitiator initiator);
        Task UpdateTemplatesForJobGroup(Guid jobGroupId, HistoryInitiator initiator); 
    }
}
